Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 95054

Summary: Error compiling net-mail/qpopper-4.0.5-r3
Product: Gentoo Linux Reporter: gentoolinux
Component: [OLD] DevelopmentAssignee: Net-Mail Packages <net-mail>
Status: VERIFIED FIXED    
Severity: normal    
Priority: High    
Version: unspecified   
Hardware: x86   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description gentoolinux 2005-06-04 12:48:54 UTC
When I try to compile qpopper-4.0.5-r3 I receive the following error:

i686-pc-linux-gnu-gcc -c -I.. -I. -I.. -I../popper \
    -O2 -mcpu=pentium3 -march=pentium3 -pipe -fomit-frame-pointer
-DHAVE_CONFIG_H  -DLINUX -DUNIX utils.c -o utils.o
ar -r  libcommon.a flock.o maillock.o logit.o snprintf.o string_util.o
check_group.o utils.o
ar: creating libcommon.a
make[2]: Leaving directory
`/var/tmp/portage/qpopper-4.0.5-r3/work/qpopper4.0.5/common'
i686-pc-linux-gnu-gcc   pop_dele.o pop_dropcopy.o pop_get_command.o
pop_get_subcommand.o pop_init.opop_last.o pop_list.o pop_log.o pop_lower.o
pop_msg.o pop_parse.o pop_pass.o pop_quit.o pop_rset.o pop_send.o pop_stat.o
pop_updt.o pop_user.o pop_xtnd.o pop_xmit.o popper.o pop_bull.o xtnd_xlst.o
pop_uidl.o mktemp.o pop_rpop.o pop_apop.o md5.o pop_auth.o pop_pope.o
pop_extend.o scram.o hmac.o base64.o pop_util.o get_sub_opt.o msg_ptr.o drac.o
pop_config.o pop_tls.o pop_tls_openssl.o pop_tls_sslplus.o sslplus_utils.o
main.o pop_cache.o genpath.o -o popper ../mmangle/libmangle.a \
        -I../common ../common/libcommon.a \
        -lndbm  -ldl -lpam -L/usr/local/ssl/lib -lssl -lcrypto
../common/libcommon.a(maillock.o)(.text+0x678): In function `Qmaillock':
: warning: the use of `tempnam' is dangerous, better use `mkstemp'
main.o(.text+0x1518): In function `sys_err_str':
: warning: `sys_errlist' is deprecated; use `strerror' or `strerror_r' instead
main.o(.text+0x14d6): In function `sys_err_str':
: warning: `sys_nerr' is deprecated; use `strerror' or `strerror_r' instead
i686-pc-linux-gnu-gcc -c -I.. -I.. -I. \
        -I../mmangle -I../common -I/usr/local/ssl/include \
        -O2 -mcpu=pentium3 -march=pentium3 -pipe -fomit-frame-pointer
-DHAVE_CONFIG_H  -DLINUX -DUNIX popauth.c -o popauth.o
popauth.c: In function `check_db_err':
popauth.c:358: error: `DBM' undeclared (first use in this function)
popauth.c:358: error: (Each undeclared identifier is reported only once
popauth.c:358: error: for each function it appears in.)
popauth.c:358: error: syntax error before ')' token
popauth.c: In function `main':
popauth.c:685: error: `DBM' undeclared (first use in this function)
popauth.c:685: error: `db' undeclared (first use in this function)
popauth.c:942: error: incompatible types in assignment
popauth.c:1077: error: incompatible types in assignment
popauth.c:1118: error: incompatible types in assignment
popauth.c:1118: error: incompatible types in assignment
popauth.c:1127: error: incompatible types in assignment
popauth.c:1204: error: incompatible types in assignment
popauth.c:1449: error: `DBM_REPLACE' undeclared (first use in this function)
make[1]: *** [popauth.o] Error 1
make[1]: Leaving directory
`/var/tmp/portage/qpopper-4.0.5-r3/work/qpopper4.0.5/popper'
make: *** [popper_server] Error 2

!!! ERROR: net-mail/qpopper-4.0.5-r3 failed.
!!! Function src_compile, Line 72, Exitcode 2
!!! (no error message)

I tried to build qpopper with the following USE flags: -debug -gdbm -mailbox
+pam +ssl -xinetd

Any help appreciated.

Reproducible: Always
Steps to Reproduce:
1. emerge qpopper

Actual Results:  
see above
Comment 1 Volker Hemmann 2005-06-04 13:01:42 UTC
Hi, 
 
i just build qpopper succesfully. 
Here is emerge --info: 
Portage 2.0.51.22-r1 (default-linux/x86/2005.0, gcc-3.4.4, glibc-2.3.5-r0, 
2.6.11-gentoo-r9 i686) 
================================================================= 
System uname: 2.6.11-gentoo-r9 i686 AMD Athlon(tm) XP 2000+ 
Gentoo Base System version 1.6.12 
ccache version 2.4 [enabled] 
dev-lang/python:     2.2.3-r5, 2.3.5 
sys-apps/sandbox:    1.2.8 
sys-devel/autoconf:  2.13, 2.59-r6 
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.5 
sys-devel/binutils:  2.16-r1 
sys-devel/libtool:   1.5.18 
virtual/os-headers:  2.6.11-r1 
ACCEPT_KEYWORDS="x86 ~x86" 
AUTOCLEAN="yes" 
CBUILD="i686-pc-linux-gnu" 
CFLAGS="-march=athlon-xp -O2 -mmmx -m3dnow -msse -mfpmath=sse -ftracer 
-frename-registers -fweb -fomit-frame-pointer -Wdisabled-optimization -pipe" 
CHOST="i686-pc-linux-gnu" 
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config /var/qmail/control" 
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d" 
CXXFLAGS="-march=athlon-xp -O2 -mmmx -m3dnow -msse -mfpmath=sse -ftracer 
-frename-registers -fweb -fomit-frame-pointer -Wdisabled-optimization -pipe" 
DISTDIR="/usr/portage/distfiles" 
FEATURES="autoconfig candy ccache distlocks notitles sandbox sfperms strict" 
GENTOO_MIRRORS="ftp://ftp.tu-clausthal.de/pub/linux/gentoo 
http://gentoo.oregonstate.edu http://www.ibiblio.org/pub/Linux/distributions/gentoo" 
LC_ALL="de_DE@euro" 
LINGUAS="de" 
PKGDIR="/usr/portage/packages" 
PORTAGE_TMPDIR="/var/tmp" 
PORTDIR="/usr/portage" 
PORTDIR_OVERLAY="/usr/local/portage" 
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage" 
USE="x86 16bit 3dnow 3dnowext 3ds S3TC X a52 aac aalib acpi alsa arts audiofile 
avi bash-completion berkdb bitmap-fonts bluetooth bzip2 bzlib cairo caps cdparanoia 
cdr cpudetection crypt css ctype curl dio divx4linux dnd dpms dvd dvdr dvdread editor 
emacs-w3 emboss encode exif expat fame fb fbcon ffmpeg fftw flac fortran freetype 
ftp gcc-libffi gd gdbm gif gimp glitz gnokii graphviz gs gtk gtk2 icq imagemagick imlib 
ipv6 irmc jack jack-tmpfs java javascript joystick jp2 jpeg jpeg2k kde kdeenablefinal 
ladcca lesstif libg++ libwww lzw mad maildir mikmod mjpeg mmx mng monkey motif 
mp3 mpeg mplayer mule music mysql ncurses nls no-htdocs no-old-linux noamazon 
noantlr nobcel nobeanutils nobsf nobsh nocardbus nocd nocommonslogging 
nocommonsnet nojdepend nojsch nojython nolog4j nooro nosendmail nowin nptl 
nvidia objc offensive ogg oggvorbis openal opengl pam pdflib perl physfs pic png 
posix python qemu-fast qt quicktime readline real samba scanner sdl server 
sharedmem slang sms snmp speex spell sqlite sse ssl stencil-buffer svg tcltk tcpd 
theora threads tiff timidity transcode truetype truetype-fonts type1-fonts unicode usb 
userlocales v4l v4l2 vanilla vcd videos vidix visualization vorbis win32codecs xanim 
xemacs xine xinerama xml2 xmlrpc xmms xosd xpm xrandr xscreensaver xv xvid xvmc 
yv12 zlib zvbi linguas_de userland_GNU kernel_linux elibc_glibc" 
Unset:  ASFLAGS, CTARGET, LANG, LDFLAGS, MAKEOPTS 
 
Comment 2 gentoolinux 2005-06-04 13:08:47 UTC
Here's my emerge info:

Portage 2.0.51.19 (default-linux/x86/2005.0, gcc-3.3.5-20050130,
glibc-2.3.4.20041102-r1, 2.4.28 i686)
=================================================================
System uname: 2.4.28 i686 Pentium III (Katmai)
Gentoo Base System version 1.4.16
Python:              dev-lang/python-2.3.5 [2.3.5 (#1, May  2 2005, 17:03:44)]
distcc 2.16 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
dev-lang/python:     2.3.5
sys-apps/sandbox:    [Not Present]
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.5, 1.9.5, 1.8.5-r3, 1.6.3, 1.7.9-r1, 1.4_p6
sys-devel/binutils:  2.15.92.0.2-r10
sys-devel/libtool:   1.5.16
virtual/os-headers:  2.6.8.1-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-O2 -mcpu=pentium3 -march=pentium3 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.2/share/config
/usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown
/usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -mcpu=pentium3 -march=pentium3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox sfperms strict"
GENTOO_MIRRORS="ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo/
ftp://ftp6.uni-muenster.de/pub/linux/distributions/gentoo/
http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/
ftp://ftp.tu-clausthal.de/pub/linux/gentoo/
ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo/
ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo/ http://128.213.5.34/gentoo/
http://gentoo.tiscali.nl/gentoo/"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 acl apache2 apm crypt dedicated mbox memlimit mmx mysql ncurses pam
perl python readline samba spell sse ssl tcpd unicode usb vhosts xml xml2
userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CBUILD, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTDIR_OVERLAY
Comment 3 Tuan Van (RETIRED) gentoo-dev 2005-06-04 16:18:41 UTC
@reporter,
please re-emerge sys-libs/db then try again.
Comment 4 gentoolinux 2005-06-05 03:40:04 UTC
Re-emerging sys-libs/db doesn't help. I still get the same error. My sys-libs/db
version is 4.2.52_p2.
Comment 5 Tuan Van (RETIRED) gentoo-dev 2005-06-05 11:06:05 UTC
Fixed in CVS. please wait for an hour or so, emerge sync, then try again. Thanks.
Comment 6 gentoolinux 2005-06-09 11:22:54 UTC
Yes, now qpopper compiles fine. Thank you and sorry for the late answer...